@echo off
echo Assembling...
nasm -f aout -o start.o start.asm
echo Done!

echo Compiling...
gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o main.o main.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o scrn.o scrn.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o idt.o idt.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o isrs.o isrs.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o irq.o irq.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o kb.o kb.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o timer.o timer.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o sound.o sound.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o gdt.o gdt.c

gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -finline-functions -fno-builtin -I./Include -c -o extio.o extio.c


echo Done!

echo .. and Linking!

ld -T link.ld -o kernel.bin start.o main.o scrn.o idt.o isrs.o irq.o kb.o timer.o sound.o gdt.o extio.o

echo Done!

pause